<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>[[SyntaxHighlighter]]</title>
		
		<meta name="content-type" content="text/html ;charset=Unicode" />
		<meta http-equiv="Page-Enter" content="blendTrans(Duration=0.1)" />
		<meta http-equiv="Page-Exit" content="blendTrans(Duration=0.1)" />
		<link href='Load.ashx?type=themecss&file=dialog.css&theme=[[_Theme_]]' type="text/css" rel="stylesheet" />
		<!--[if IE]>
			<link href="Load.ashx?type=style&file=IE.css" type="text/css" rel="stylesheet" />
		<![endif]-->
		<script type="text/javascript" src="Load.ashx?type=dialogscript&verfix=1006&file=DialogHead.js"></script>
	</head>
	<body>
		<div id="ajaxdiv">
			<table>
				<tr>
					<td width="80">[[CodeLanguage]]:</td>
					<td><select id="sel_lang"></select></td>
				</tr>
				<tr>
					<td colspan="2"><textarea id="ta_code" name="ta_code_name" style="width:400px;height:300px"></textarea></td>
				</tr>
			</table>
			
			<div id="container-bottom">
				<input type="button" value="[[OK]]" class="formbutton" onclick="DoHighlight()">
				<input type="button" value="[[Cancel]]" class="formbutton" onclick="Close()">
			</div>					
		</div>
	</body>
	<script type="text/javascript" src="Load.ashx?type=dialogscript&verfix=1006&file=DialogFoot.js"></script>
	<script type="text/javascript" src="Load.ashx?type=scripts&file=SyntaxHighlighter"></script>
	<script>
	

var OxO5e53=["=","; path=/;"," expires=",";","cookie","length","","sel_lang","ta_code","Brushes","sh","Aliases","options","CESHBRUSH","value","language",":nocontrols","opera","all","innerHTML","display","style","previousSibling","\x3Cdiv class=\x22dp-highlighter\x22\x3E","\x3C/div\x3E","parentNode"];function SetCookie(name,Ox4f,Ox56){var Ox57=name+OxO5e53[0]+escape(Ox4f)+OxO5e53[1];if(Ox56){var Ox58= new Date();Ox58.setSeconds(Ox58.getSeconds()+Ox56);Ox57+=OxO5e53[2]+Ox58.toUTCString()+OxO5e53[3];} ;document[OxO5e53[4]]=Ox57;} ;function GetCookie(name){var Ox5a=document[OxO5e53[4]].split(OxO5e53[3]);for(var i=0;i<Ox5a[OxO5e53[5]];i++){var Ox5b=Ox5a[i].split(OxO5e53[0]);if(name==Ox5b[0].replace(/\s/g,OxO5e53[6])){return unescape(Ox5b[1]);} ;} ;} ;var editor=Window_GetDialogArguments(window);var sel_lang=document.getElementById(OxO5e53[7]);var ta_code=document.getElementById(OxO5e53[8]);for(var brush in dp[OxO5e53[10]][OxO5e53[9]]){var aliases=dp[OxO5e53[10]][OxO5e53[9]][brush][OxO5e53[11]];if(aliases==null){continue ;} ;sel_lang[OxO5e53[12]].add( new Option(aliases,brush));var b=GetCookie(OxO5e53[13]);if(b){sel_lang[OxO5e53[14]]=b;} ;} ;function DoHighlight(){SetCookie(OxO5e53[13],sel_lang.value,3600*24*30);var b=dp[OxO5e53[10]][OxO5e53[9]][sel_lang[OxO5e53[14]]];ta_code[OxO5e53[15]]=b[OxO5e53[11]][0]+OxO5e53[16];if(window[OxO5e53[17]]||!document[OxO5e53[18]]){ta_code[OxO5e53[19]]=ta_code[OxO5e53[14]];} ;dp[OxO5e53[10]].HighlightAll(ta_code.name);ta_code[OxO5e53[21]][OxO5e53[20]]=OxO5e53[6];var Ox61=ta_code[OxO5e53[22]];editor.PasteHTML(OxO5e53[23]+Ox61[OxO5e53[19]]+OxO5e53[24]);Ox61[OxO5e53[25]].removeChild(Ox61);Close();} ;



	</script>
</html>